proj/kde:master commit in: kde-frameworks/qqc2-desktop-style/
"Andreas Sturmlechner" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786287186.282455b58a4daabc777fc2ffb53a79247141e411.asturm@gentoo> |
commit: 282455b58a4daabc777fc2ffb53a79247141e411
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 8 20:43:42 2026 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Aug 9 14:53:06 2026 +0000
URL: https://gitweb.gentoo.org/proj/kde.git/commit/?id=282455b5
kde-frameworks/qqc2-desktop-style: 6.29.0 version bump
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
.../qqc2-desktop-style-6.29.0.ebuild | 35 ++++++++++++++++++++++
1 file changed, 35 insertions(+)
diff --git a/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-6.29.0.ebuild b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-6.29.0.ebuild
new file mode 100644
index 0000000000..fa16fc1a4d
--- /dev/null
+++ b/kde-frameworks/qqc2-desktop-style/qqc2-desktop-style-6.29.0.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_QTHELP="false"
+QTMIN=6.10.1
+inherit ecm frameworks.kde.org
+
+DESCRIPTION="Style for QtQuickControls 2 that uses QWidget's QStyle for painting"
+
+LICENSE="|| ( GPL-2+ LGPL-3+ )"
+KEYWORDS="~amd64 ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE=""
+
+# Qt_6_PRIVATE_API matches org.kde.desktop.so, see also:
+# https://invent.kde.org/frameworks/qqc2-desktop-style/-/merge_requests/379
+DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gui,widgets]
+ >=dev-qt/qtdeclarative-${QTMIN}:6=
+ =kde-frameworks/kcolorscheme-${KDE_CATV}*:6
+ =kde-frameworks/kconfig-${KDE_CATV}*:6
+ =kde-frameworks/kiconthemes-${KDE_CATV}*:6
+ =kde-frameworks/kirigami-${KDE_CATV}*:6
+ =kde-frameworks/sonnet-${KDE_CATV}*:6[qml]
+"
+RDEPEND="${DEPEND}
+ >=dev-qt/qt5compat-${QTMIN}:6
+"
+BDEPEND=">=dev-qt/qttools-${QTMIN}:6[linguist]"
+
+CMAKE_SKIP_TESTS=(
+ # bug 926509
+ animationspeedmodifiertest
+)